Package csb :: Package bio :: Package io :: Module whatif :: Class WhatCheckParser

[frames] | no frames]

# Class WhatCheckParser

source code

    object --+
             |
            WhatCheckParser

Simple WhatIf/WhatCheck Summary parser

Instance Methods

__init__(self, binary=`'``DO_WHATCHECK.COM``'`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

a dict

parse(self, fn) Returns: A dict containing some of the WhatCheck results | source code

a dict

parse_summary(self, fn) Returns: A dict containing some of the WhatCheck results | source code

run(self, pdb_file) Runs WhatCheck for the given pdbfile and parses the output. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, binary=`'``DO_WHATCHECK.COM``'`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### parse(self, fn)

source code

Parameters:
  - `fn` (str) - whatif pdbout.txt file to parse
Returns: a dict
  A dict containing some of the WhatCheck results

### parse_summary(self, fn)

source code

Parameters:
  - `fn` (str) - whatif pdbout.txt file to parse
Returns: a dict
  A dict containing some of the WhatCheck results

### run(self, pdb_file)

source code

Runs WhatCheck for the given pdbfile and parses the output. Will fail if the WhatCheck binary is not in the path.

Parameters:
  - `pdb_file` - file to parse
Returns:
  dict of parsed values